cURL
curl --request GET \
--url https://api.yoshi.ai/v1/me \
--header 'Authorization: Bearer <token>'import os
from yoshi_sdk import Yoshi
client = Yoshi(
api_key=os.environ.get("YOSHI_API_KEY"), # This is the default and can be omitted
)
me = client.me.retrieve()
print(me.data)import Yoshi from '@yoshi-ai/sdk';
const client = new Yoshi({
apiKey: process.env['YOSHI_API_KEY'], // This is the default and can be omitted
});
const me = await client.me.retrieve();
console.log(me.data);package main
import (
"context"
"fmt"
"github.com/yoshi-ai-dev/yoshi-go"
"github.com/yoshi-ai-dev/yoshi-go/option"
)
func main() {
client := yoshi.NewClient(
option.WithAPIKey("My API Key"),
)
me, err := client.Me.Get(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", me.Data)
}
yoshi me retrieve \
--api-key 'My API Key'{
"data": {
"id": "<string>",
"email": "<string>",
"connected_at": "<string>",
"preferred_name": "<string>",
"image": "<string>",
"created_at": "<string>"
},
"meta": {
"request_id": "req_a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"timestamp": "2026-04-10T12:00:00.000Z"
}
}User
Get user profile
Get the authenticated user profile (non-sensitive fields only).
GET
/
me
cURL
curl --request GET \
--url https://api.yoshi.ai/v1/me \
--header 'Authorization: Bearer <token>'import os
from yoshi_sdk import Yoshi
client = Yoshi(
api_key=os.environ.get("YOSHI_API_KEY"), # This is the default and can be omitted
)
me = client.me.retrieve()
print(me.data)import Yoshi from '@yoshi-ai/sdk';
const client = new Yoshi({
apiKey: process.env['YOSHI_API_KEY'], // This is the default and can be omitted
});
const me = await client.me.retrieve();
console.log(me.data);package main
import (
"context"
"fmt"
"github.com/yoshi-ai-dev/yoshi-go"
"github.com/yoshi-ai-dev/yoshi-go/option"
)
func main() {
client := yoshi.NewClient(
option.WithAPIKey("My API Key"),
)
me, err := client.Me.Get(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", me.Data)
}
yoshi me retrieve \
--api-key 'My API Key'{
"data": {
"id": "<string>",
"email": "<string>",
"connected_at": "<string>",
"preferred_name": "<string>",
"image": "<string>",
"created_at": "<string>"
},
"meta": {
"request_id": "req_a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"timestamp": "2026-04-10T12:00:00.000Z"
}
}Authorizations
A Yoshi API key from Settings → API Keys, or a Yoshi OAuth access token issued by Sign in with Yoshi.
Response
200 - application/json
User profile retrieved.
Last modified on June 18, 2026
Was this page helpful?